Name:		isomd5sum
Version:	1.2.1
Release:	%mkrel 2
License:	GPLv2+
Group:		Archiving/Cd burning
Summary:	Utilities for working with md5sum implanted in ISO images
Url:		https://github.com/rhinstaller/isomd5sum
Source0:	https://github.com/rhinstaller/%{name}/archive/%{version}.tar.xz
BuildRequires:	lib64popt-devel
BuildRequires:	python-devel
BuildRequires:	python3-devel

%description
The isomd5sum package contains utilities for implanting and verifying
an md5sum implanted into an ISO9660 image.

%package devel
Summary: Development headers and library for using isomd5sum 
Group: Development/Libraries
Requires: %{name} = %{version}

%description devel
This contains header files and a library for working with the isomd5sum
implanting and checking.

%package -n python-isomd5sum
Summary: Python 2 bindings for isomd5sum
Group: Development/Python
Obsoletes:      python-isomd5sum
Provides:       python-isomd5sum = %{version}-%{release}

%description -n python-isomd5sum
Python 2 bindings for isomd5sum.

%package -n python3-isomd5sum
Summary: Python 3 bindings for isomd5sum
Group: Development/Python

%description -n python3-isomd5sum
The isomd5sum package contains utilities for implanting and verifying
an md5sum implanted into an ISO9660 image.

%prep
%setup -q

rm -rf %{py3dir}
cp -a . %{py3dir}

%build
CFLAGS="$RPM_OPT_FLAGS -Wno-strict-aliasing"; export CFLAGS
PYTHON=%{__python2} make checkisomd5 implantisomd5 pyisomd5sum.so

pushd %{py3dir}
PYTHON=%{__python3} make checkisomd5 implantisomd5 pyisomd5sum.so
popd

%install
PYTHON=%{__python2} make DESTDIR=$RPM_BUILD_ROOT install-bin install-devel install-python

pushd %{py3dir}
PYTHON=%{__python3} make DESTDIR=$RPM_BUILD_ROOT install-bin install-devel install-python
popd

%files
%doc COPYING
%{_bindir}/implantisomd5
%{_bindir}/checkisomd5
%{_mandir}/man*/*

%files devel
%{_includedir}/*.h
%{_libdir}/*.a

%files -n python-isomd5sum
%{python2_sitearch}/pyisomd5sum.so

%files -n python3-isomd5sum
%{python3_sitearch}/pyisomd5sum.so


%changelog
* Fri Aug 12 2022 TerryN <terryn94 at gmail.com> 1.2.1-2pclos2022
- rebuild for python 3.10

* Wed Jan 09 2019 tex - 1.2.1-1pclos2019
- new release
